summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-09-23 21:12:41 -0400
committerTim Harder <radhermit@gentoo.org>2016-09-23 21:13:27 -0400
commit5031bab65eb49a2fef637b029b3c83484afcd74e (patch)
tree19a0132156715970dab2370bdefe72aee5cf45dd /app-misc/byobu
parentmedia-sound/abcm2ps: version bump to 8.12.3 (diff)
downloadgentoo-5031bab65eb49a2fef637b029b3c83484afcd74e.tar.gz
gentoo-5031bab65eb49a2fef637b029b3c83484afcd74e.tar.bz2
gentoo-5031bab65eb49a2fef637b029b3c83484afcd74e.zip
app-misc/byobu: version bump to 5.112
Diffstat (limited to 'app-misc/byobu')
-rw-r--r--app-misc/byobu/Manifest1
-rw-r--r--app-misc/byobu/byobu-5.112.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/app-misc/byobu/Manifest b/app-misc/byobu/Manifest
index 83497b26489..a10315d8c07 100644
--- a/app-misc/byobu/Manifest
+++ b/app-misc/byobu/Manifest
@@ -1,2 +1,3 @@
DIST byobu_5.111.orig.tar.gz 664384 SHA256 b28c93f72cd9a62e1b1aa11abc8d8863f06c43da2c7089f6529683bbf13a50fc SHA512 f4b20fd3ac01b4361a9ea02428326c3920a8bf728b03c309d491413daf603b3b2807ab1770274034f08299947d66a759777a1b2ddd087d7c9c19c67c7baec48a WHIRLPOOL 32cddcc542137a438bffde637190663d7f56ba44de622110134b79f536b5f33ff3e80a28824d33b12ad792efd27e9bf898ee13e186df7923f46dce29d0a01b44
+DIST byobu_5.112.orig.tar.gz 664274 SHA256 4d67fb7bc18cb6ceb74f800fc312c3a1c6b1cb19c1d6e0e6cfe60fd8900e7b2b SHA512 57545ac86e1f6bf6601250bfd9d46ada17b22728a17453f9810b723c393655db97723d068b2452467dc4b4e9c2d9d52b76011191f4f09c01ad4bb91d93f15bea WHIRLPOOL 5a30f25a50ebf2a6ca30765a18d1850dc1c6433aed39e2dc56d9da1cbd4a3aec3c4d9d8d74fe6b965e912abd52d289b8f801050c9454ff865e508281b9014de5
DIST byobu_5.94.orig.tar.gz 660103 SHA256 4917013f590110d25b18293a51af02bd1ebcd1c665474f62e2566fb9b8f62916 SHA512 b4e07d7d197f8796c26f33aa08c1d61dab463ce5cd2d646bf32c4c5a4be17ffe2b8996cb305c999ca0be20a1fab81c24dbd0eae5588b74e8da1e7726c293b2e6 WHIRLPOOL d2832c4ecac9d4d6907051d33efb8f51816866ce4bd0d75d5684322dd83a56d0a4717d2b6fd7736a0ca488d5e2e648a0e48a09de6a0bffcd779aa63cefd50c4c
diff --git a/app-misc/byobu/byobu-5.112.ebuild b/app-misc/byobu/byobu-5.112.ebuild
new file mode 100644
index 00000000000..7bd23b5ebff
--- /dev/null
+++ b/app-misc/byobu/byobu-5.112.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A set of profiles for the GNU Screen console window manager (app-misc/screen)"
+HOMEPAGE="http://byobu.co"
+SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P/-/_}.orig.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="screen"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-libs/newt[${PYTHON_USEDEP}]
+ screen? ( app-misc/screen )
+ !screen? ( app-misc/tmux )"
+
+src_prepare() {
+ default
+
+ python_fix_shebang .
+
+ # Set default system backend to screen
+ if use screen ; then
+ sed -i -e 's/#\(BYOBU_BACKEND\).*/\1="screen"/' etc/byobu/backend || die
+ fi
+}
+
+src_install() {
+ default
+
+ # Create symlinks for backends
+ dosym ${PN} /usr/bin/${PN}-screen
+ dosym ${PN} /usr/bin/${PN}-tmux
+
+ docompress -x /usr/share/doc/${PN}
+}